import { NxAnchorBase, NxButtonBase } from './button-base';
import * as i0 from "@angular/core";
/** Shared host configuration for all buttons */
export declare const NX_BUTTON_HOST: {
    readonly '[attr.disabled]': "_getDisabled()";
    readonly '[class]': "classes()";
    readonly '[class.selected]': "selected()";
};
/** Shared host configuration for buttons using the `<a>` tag. */
export declare const NX_ANCHOR_HOST: {
    readonly '[attr.disabled]': "_getDisabled()";
    readonly '[class]': "classes()";
    readonly '[class.selected]': "selected()";
};
export declare class NxButtonComponent extends NxButtonBase {
    static ɵfac: i0.ɵɵFactoryDeclaration<NxButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NxButtonComponent, "button[nx-button]", never, {}, {}, never, ["nx-icon:not([iconPositionEnd])", "*", "nx-icon[iconPositionEnd]"], true, never>;
}
export declare class NxAnchorComponent extends NxAnchorBase {
    static ɵfac: i0.ɵɵFactoryDeclaration<NxAnchorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NxAnchorComponent, "a[nx-button]", never, {}, {}, never, ["nx-icon:not([iconPositionEnd])", "*", "nx-icon[iconPositionEnd]"], true, never>;
}
